package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

@TableName("tb_obr_request")
@Data
@Accessors(chain = true)

public class ObrRequest {

    private Integer id;
    private Integer orcId;
    private String medOrderCode; //医嘱明细序号
    private String reportNo; //报告单号
    private String medOrderNo; //医技号
    private String cardId; //就诊卡号
    private String medTechProInfo; //医技项目信息
    private String medTechProName;//医技项目名称
    private String reportClass; //报告单类别名称
    private String medOrderAppTime; //医嘱申请时间
    private String chkStartTime; //检验或检查开始时间
    private String reportStatus; //危机报告标志
    private String examinePart; //检查部位或样本名称
    private String appEmployeeId; //申请医生代码
    private String appEmployeeName; //申请医生姓名
    private String appDeptCode; //申请科室代码
    private String appDeptName; //申请科室名称
    private String executeDeptCode; //执行科室代码
    private String executeDeptName; //执行科室名称
    private String releaseTime; //发布时间
    private String repTypeCode; //报告单类别编码
    private String resultFlag; //结果标志
    private String repType; //报告类型
    private String checkEmployeeId; //报告审核Id
    private String checkEmployeeName; //报告审核者
    private String checkTime; //审核日期
    private String publisherEmployeeId; //报告发布者id
    private String publisherEmployee_name; //报告发布者
    private String publisherTime; //发布时间
    private String reportEntryId; //报告录入人ID
    private String reportEntryName; //报告录入人名称
    private String enterTime; //报告单日期
    private String bookingNo; //预约单号

}
