package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.ObrRequest;
import com.ruoyi.web.work.mapper.ObrRequestMapper;
import com.ruoyi.web.work.service.ObrRequestService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ObrRequestServiceImpl extends ServiceImpl<ObrRequestMapper, ObrRequest> implements ObrRequestService {

    /**
     * 根据就诊卡号查询患者报告
     * @param cardId
     * @return
     */
    @Override
    public List<ObrRequest> getObrRequestByCardId(String cardId) {
        LambdaQueryWrapper<ObrRequest> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(ObrRequest::getCardId,cardId);
        return baseMapper.selectList(wrapper);
    }
}
