package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.ObxResult;
import com.ruoyi.web.work.mapper.ObxResultMapper;
import com.ruoyi.web.work.service.ObxResultService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ObxResultServiceImpl extends ServiceImpl<ObxResultMapper, ObxResult> implements ObxResultService {

    /**
     * 根据检测报告ID获取报告结果
     * @param obrId
     * @return
     */
    @Override
    public List<ObxResult> getObxResultByObrId(String obrId) {
        LambdaQueryWrapper<ObxResult> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(ObxResult::getObrId,obrId);
        return baseMapper.selectList(wrapper);
    }
}
